## oxygen 5.4.2

=== CMakeLists.txt ===
project(oxygen)
set(PROJECT_VERSION "5.4.2")
set(PROJECT_VERSION_MAJOR 5)
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

include(GenerateExportHeader)
include(WriteBasicConfigVersionFile)
include(FeatureSummary)

set(OXYGEN_USE_KDE4 ${USE_KDE4})
if(OXYGEN_USE_KDE4)

  ############ Language and toolchain features
  ############ copied from ECM
  if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
  elseif("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel" AND NOT WIN32)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
  endif()

endif()

################# Qt/KDE #################
if(OXYGEN_USE_KDE4)

  find_package(KDE4 REQUIRED)
  include(KDE4Defaults)
  include(MacroLibrary)

  add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
  include_directories(${KDE4_INCLUDES})

  ### KDE workspace (needed for window decoration)
  find_package(KDE4Workspace 4.9.80)
  set_package_properties(
    KDE4Workspace PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Required to oxygen window decoration for kwin"
 )

  ### XCB
  find_package(PkgConfig)
  pkg_check_modules(XCB xcb x11-xcb)
  add_feature_info("x11-xcb" XCB_FOUND "Required to pass style properties to native Windows on X11 Platform")
  set_feature_info("x11-xcb" "Required to pass style properties to native Windows on X11 Platform" "http://xcb.freedesktop.org")
  set(OXYGEN_HAVE_X11 ${XCB_FOUND})

  add_subdirectory(liboxygen)
  add_subdirectory(kstyle)
  if(KDE4Workspace_FOUND)
     add_subdirectory(kwin-decoration)
  endif()

else()

  find_package(ECM 0.0.9 REQUIRED NO_MODULE)
  set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

  find_package(Qt5 REQUIRED CONFIG COMPONENTS Widgets DBus)
  find_package(KF5 REQUIRED COMPONENTS
      I18n
      Config
      GuiAddons
      WidgetsAddons
      Service
      Completion
      FrameworkIntegration
      WindowSystem)

  find_package(XCB COMPONENTS XCB)
  set_package_properties(XCB PROPERTIES
      DESCRIPTION "X protocol C-language Binding"
      URL "http://xcb.freedesktop.org"
      TYPE OPTIONAL
      PURPOSE "Required to pass style properties to native Windows on X11 Platform"
  )

  if(NOT APPLE)

    set(OXYGEN_HAVE_X11 ${XCB_XCB_FOUND})
    if (XCB_XCB_FOUND)
      find_package(Qt5 REQUIRED CONFIG COMPONENTS X11Extras)
    endif()

  endif()

  include(ECMInstallIcons)
  include(KDEInstallDirs)
  include(KDECMakeSettings)
  include(KDECompilerSettings)

  add_subdirectory(liboxygen)
  add_subdirectory(kstyle)
  add_subdirectory(cursors)

  add_subdirectory(sounds)
  add_subdirectory(kdecoration)

  install(DIRECTORY lookandfeel/ DESTINATION ${CMAKE_INSTALL_PREFIX}/share/plasma/look-and-feel/org.kde.oxygen
          PATTERN "Messages.sh" EXCLUDE PATTERN "CMakeLists.txt" EXCLUDE)

  # po/ dir added by packaging scripts
  if(EXISTS ${CMAKE_SOURCE_DIR}/po AND IS_DIRECTORY ${CMAKE_SOURCE_DIR}/po)
    find_package(KF5I18n CONFIG REQUIRED)
    ki18n_install(po)
  endif()

endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

## oxygen 5.2.2

=== debian/changelog ===
oxygen (4:5.2.2-0ubuntu2) vivid; urgency=medium

  * Fix kde-style-oxygen-qt5.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Mar 2015 00:11:23 +0100

oxygen (4:5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Add oxygen_kwin_deco.mo files to not-installed due to
    kwin-decoration-oxygen package being removed. 
  * Re- remove kwin-decoration-oxygen package, it no longer builds
  * Remove missing file. 
  * Fix stubvar external package for removed package. 
  * Add missing file. 
  * Re add missing files to make ci happy.

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:37:03 -0700

oxygen (4:5.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:45:33 -0800

oxygen (4:5.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:57:22 +0100

oxygen (4:5.1.95-0ubuntu2) vivid; urgency=medium

  * remove kwin-decoration-oxygen package, it no longer builds

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Jan 2015 13:07:21 +0100

oxygen (4:5.1.95-0ubuntu1) vivid; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:34:16 +0100

oxygen (4:5.1.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 15 Dec 2014 13:25:13 +0100

oxygen (4:5.1.1-0ubuntu1) vivid; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release
  * Add upstream_dont-install-build-files.diff to not install unused files
  * Rename oxygen-look-and-feel to plasma-theme-oxygen and make it depend
    on other parts it expects
  * Add dependency on kde-style-oxygen-qt4

  [ Scarlett Clark ]
  * Add missing look-and-feel files to a new package.
  * Fix extra space in changelog causing lintian error.
  * wrap-and sort
  * Override missing manpage lintian error.
  * Correct the filename for the lintian override.
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 10 Nov 2014 19:50:45 +0100

oxygen (4:5.0.2-0ubuntu1) utopic; urgency=medium

  [ Harald Sitter ]
  * switch to new pkg-kde-tools

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 17 Sep 2014 18:19:51 -0700

oxygen (4:5.0.1-0ubuntu1~ubuntu14.10~ppa2) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * Fix depend versions
  * wrap-and-sort
  * Add Vcs
  * Update watch to http://download.kde.org

  [ Jonathan Riddell ]
  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 10 Aug 2014 15:44:23 +0200

oxygen (4:4.98.0-0ubuntu1) utopic; urgency=medium

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jul 2014 13:27:14 +0200

oxygen (4:4.97.0-0ubuntu1) utopic; urgency=medium

  * Initial release.
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Jun 2014 10:26:37 +0100

=== debian/control ===
Source: oxygen
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.3.0~),
               kwin-dev (>= 4:5.2.2),
               libkdecorations2-dev (>= 4:5.2.0),
               libkf5auth-dev (>= 5.2.0),
               libkf5codecs-dev (>= 5.2.0),
               libkf5completion-dev (>= 5.2.0),
               libkf5config-dev (>= 5.2.0),
               libkf5configwidgets-dev (>= 5.2.0),
               libkf5coreaddons-dev (>= 5.2.0),
               libkf5dbusaddons-dev (>= 5.2.0),
               libkf5guiaddons-dev (>= 5.2.0),
               libkf5i18n-dev (>= 5.2.0),
               libkf5iconthemes-dev (>= 5.2.0),
               libkf5itemviews-dev (>= 5.2.0),
               libkf5service-dev (>= 5.2.0),
               libkf5style-dev (>= 5.2.0),
               libkf5widgetsaddons-dev (>= 5.2.0),
               libkf5windowsystem-dev (>= 5.2.0),
               libqt5x11extras5-dev,
               libx11-dev,
               libxcb1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev
Standards-Version: 3.9.5
Section: kde
Homepage: https://projects.kde.org/projects/kde/workspace/oxygen
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/plasma/oxygen.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/oxygen.git

Package: plasma-theme-oxygen
Architecture: any
Depends: kde-style-oxygen-qt4,
         kde-style-oxygen-qt5,
         oxygen-sounds,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: oxygen-look-and-feel
Replaces: oxygen-look-and-feel
Description: Look-and-feel for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the meta settings for the Oxygen theme.

Package: oxygen-sounds
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Sounds for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the sounds.

Package: kde-style-oxygen-qt5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the Qt 5 widget theme.

Package: liboxygenstyle5-5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: style library for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used by the widget theme
 and KWin style.

Package: liboxygenstyleconfig5-5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: style library configuration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used to configure the widget theme
 and KWin style.

Package: oxygen-dbg
Section: debug
Architecture: any
Recommends: qtbase5-dbg
Depends: liboxygenstyleconfig5-5 (= ${binary:Version}) | liboxygenstyle5-5 (= ${binary:Version}) | kde-style-oxygen-qt5 (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=oxygen-dbg

## oxygen 5.3.0

=== debian/changelog ===
oxygen (4:5.3.0-0tanglu1) staging; urgency=medium

  * Upload for Tanglu

 -- Matthias Klumpp <mak@debian.org>  Tue, 28 Apr 2015 19:30:55 +0200

oxygen (4:5.3.0-0ubuntu1~ubuntu15.04~ppa2) vivid; urgency=medium

  * Plasma 5.3 beta
  * new upstream release
  * new upstream release
  * PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 24 Apr 2015 19:15:12 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
                extra-cmake-modules (>= 1.3.0~),
-               kwin-dev (>= 4:5.2.2),
+               kwin-dev (>= 4:5.3.0),
                libkdecorations2-dev (>= 4:5.2.0),
                libkf5auth-dev (>= 5.2.0),
                libkf5codecs-dev (>= 5.2.0),
@@ -37,6 +37,7 @@
 Architecture: any
 Depends: kde-style-oxygen-qt4,
          kde-style-oxygen-qt5,
+         kwin-decoration-oxygen,
          oxygen-sounds,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -55,9 +56,21 @@
  .
  This package contains the sounds.
 
+Package: kwin-decoration-oxygen
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: kde-style-oxygen-qt5 (<< 4:5.2.2+git20150326)
+Replaces: kde-style-oxygen-qt5 (<< 4:5.2.2+git20150326)
+Description: KWin decoration for the Oxygen desktop theme
+ The Oxygen desktop theme is used by Plasma and other KDE Software.
+ .
+ This package contains the KWin decoration and settings modules.
+
 Package: kde-style-oxygen-qt5
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: kwin-decoration-oxygen (<< 4:5.2.2+git20150326), plasma-theme-oxygen (<< 4:5.2.2+git20150326)
+Replaces: kwin-decoration-oxygen (<< 4:5.2.2+git20150326), plasma-theme-oxygen (<< 4:5.2.2+git20150326)
 Description: Qt decoration for the Oxygen desktop theme
  The Oxygen desktop theme is used by Plasma and other KDE Software.
  .
@@ -85,7 +98,7 @@
 Section: debug
 Architecture: any
 Recommends: qtbase5-dbg
-Depends: liboxygenstyleconfig5-5 (= ${binary:Version}) | liboxygenstyle5-5 (= ${binary:Version}) | kde-style-oxygen-qt5 (= ${binary:Version}),
+Depends: liboxygenstyleconfig5-5 (= ${binary:Version}) | liboxygenstyle5-5 (= ${binary:Version}) | kde-style-oxygen-qt5 (= ${binary:Version}) | kwin-decoration-oxygen (= ${binary:Version}),
          ${misc:Depends}
 Description: debugging symbols for the Oxygen desktop theme
  The Oxygen desktop theme is used by Plasma and other KDE Software.

## oxygen 5.4.2

=== debian/changelog ===
oxygen (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 15:59:05 +0100

oxygen (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:22:11 +0100

oxygen (4:5.4.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 15:54:14 +0100

oxygen (4:5.3.95-0ubuntu4) wily; urgency=medium

  * No change rebuild to adopt kdecorationv5 everywhere.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Aug 2015 17:05:49 +0200

oxygen (4:5.3.95-0ubuntu3) wily; urgency=medium

  * No change rebuild to adopt kdecorationv5. 2nd try after v5 was
    accepted into proposed.

 -- Harald Sitter <sitter@kde.org>  Tue, 25 Aug 2015 14:37:37 +0200

oxygen (4:5.3.95-0ubuntu2) wily; urgency=medium

  * No change rebuild to adopt kdecorationv5

 -- Harald Sitter <sitter@kde.org>  Tue, 25 Aug 2015 13:44:15 +0200

oxygen (4:5.3.95-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport. 

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:18:51 +0200

oxygen (4:5.3.2-0ubuntu2) wily; urgency=medium

  * Move oxygenstyleconfig.desktop

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 13:02:27 +0000

oxygen (4:5.3.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:41:49 +0000

oxygen (4:5.3.1-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2015 02:38:55 +0200

oxygen (4:5.3.1-1~) UNRELEASED; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 05 Jun 2015 11:57:15 +0200

oxygen (4:5.2.2-1) experimental; urgency=medium

  * New upstream release (5.2.1).
  * New upstream release (5.2.2).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:17:55 +0100

oxygen (4:5.2.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Add myself as Uploader.
  * Also build the qt4 version.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Feb 2015 13:08:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,44 +1,42 @@
 Source: oxygen
-Priority: extra
+Section: kde
+Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9.0.0),
+Uploaders: Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 9),
                extra-cmake-modules (>= 1.3.0~),
-               kwin-dev (>= 4:5.3.0),
-               libkdecorations2-dev (>= 4:5.2.0),
-               libkf5auth-dev (>= 5.2.0),
-               libkf5codecs-dev (>= 5.2.0),
+               kdelibs5-dev (>= 4.9.80),
+               kwin-dev (>= 4:5.4.2~),
+               libkdecorations2-dev,
                libkf5completion-dev (>= 5.2.0),
                libkf5config-dev (>= 5.2.0),
-               libkf5configwidgets-dev (>= 5.2.0),
-               libkf5coreaddons-dev (>= 5.2.0),
-               libkf5dbusaddons-dev (>= 5.2.0),
+               libkf5configwidgets-dev,
+               libkf5coreaddons-dev,
                libkf5guiaddons-dev (>= 5.2.0),
                libkf5i18n-dev (>= 5.2.0),
-               libkf5iconthemes-dev (>= 5.2.0),
-               libkf5itemviews-dev (>= 5.2.0),
+               libkf5kcmutils-dev,
                libkf5service-dev (>= 5.2.0),
                libkf5style-dev (>= 5.2.0),
                libkf5widgetsaddons-dev (>= 5.2.0),
                libkf5windowsystem-dev (>= 5.2.0),
-               libqt5x11extras5-dev,
+               libqt5x11extras5-dev (>= 5.4),
                libx11-dev,
                libxcb1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev
-Standards-Version: 3.9.5
-Section: kde
+               qtbase5-dev (>= 5.4)
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/oxygen
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/plasma/oxygen.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/oxygen.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/oxygen.git
 
 Package: plasma-theme-oxygen
 Architecture: any
-Depends: kde-style-oxygen-qt4,
-         kde-style-oxygen-qt5,
-         kwin-decoration-oxygen,
-         oxygen-sounds,
+Depends: kde-style-oxygen-qt4 (= ${binary:Version}),
+         kde-style-oxygen-qt5 (= ${binary:Version}),
+         kwin-decoration-oxygen (= ${binary:Version}),
+         oxygen-sounds (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: oxygen-look-and-feel
@@ -69,12 +67,25 @@
 Package: kde-style-oxygen-qt5
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: kwin-decoration-oxygen (<< 4:5.2.2+git20150326), plasma-theme-oxygen (<< 4:5.2.2+git20150326)
-Replaces: kwin-decoration-oxygen (<< 4:5.2.2+git20150326), plasma-theme-oxygen (<< 4:5.2.2+git20150326)
+Breaks: kwin-decoration-oxygen (<< 4:5.2.2+git20150326),
+        plasma-theme-oxygen (<< 4:5.3.2+git20150326)
+Replaces: kwin-decoration-oxygen (<< 4:5.2.2+git20150326),
+          plasma-theme-oxygen (<< 4:5.3.2+git20150326)
 Description: Qt decoration for the Oxygen desktop theme
  The Oxygen desktop theme is used by Plasma and other KDE Software.
  .
  This package contains the Qt 5 widget theme.
+
+Package: kde-style-oxygen-qt4
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: kde-style-oxygen
+Replaces: kde-style-oxygen
+Description: Qt 4 decoration for the Oxygen desktop theme
+ The Oxygen desktop theme is used by Plasma and other KDE Software.
+ .
+ This is the version shipped with Plasma 5. This package contains the
+ Qt 4 widget theme.
 
 Package: liboxygenstyle5-5
 Architecture: any
@@ -88,6 +99,8 @@
 Package: liboxygenstyleconfig5-5
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: kde-style-oxygen-qt5 (<< 4:5.3.2~)
+Replaces: kde-style-oxygen-qt5 (<< 4:5.3.2~)
 Description: style library configuration for the Oxygen desktop theme
  The Oxygen desktop theme is used by Plasma and other KDE Software.
  .
@@ -96,10 +109,11 @@
 
 Package: oxygen-dbg
 Section: debug
+Priority: extra
 Architecture: any
-Recommends: qtbase5-dbg
 Depends: liboxygenstyleconfig5-5 (= ${binary:Version}) | liboxygenstyle5-5 (= ${binary:Version}) | kde-style-oxygen-qt5 (= ${binary:Version}) | kwin-decoration-oxygen (= ${binary:Version}),
          ${misc:Depends}
+Recommends: qtbase5-dbg
 Description: debugging symbols for the Oxygen desktop theme
  The Oxygen desktop theme is used by Plasma and other KDE Software.
  .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_clean:
	$(overridden_command) --builddirectory=build-qt4
	$(overridden_command)

override_dh_auto_configure:
	$(overridden_command) --builddirectory=build-qt4 -- -DUSE_KDE4=true
	$(overridden_command)

override_dh_auto_build:
	$(overridden_command) --builddirectory=build-qt4
	$(overridden_command)

override_dh_auto_install:
	$(overridden_command) --builddirectory=build-qt4
	$(overridden_command)

override_dh_strip:
	$(overridden_command) --dbg-package=oxygen-dbg

## oxygen 5.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(oxygen)
-set(PROJECT_VERSION "5.4.2")
+set(PROJECT_VERSION "5.5.5")
 set(PROJECT_VERSION_MAJOR 5)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 
@@ -30,14 +30,6 @@
   add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
   include_directories(${KDE4_INCLUDES})
 
-  ### KDE workspace (needed for window decoration)
-  find_package(KDE4Workspace 4.9.80)
-  set_package_properties(
-    KDE4Workspace PROPERTIES
-    TYPE OPTIONAL
-    PURPOSE "Required to oxygen window decoration for kwin"
- )
-
   ### XCB
   find_package(PkgConfig)
   pkg_check_modules(XCB xcb x11-xcb)
@@ -47,9 +39,6 @@
 
   add_subdirectory(liboxygen)
   add_subdirectory(kstyle)
-  if(KDE4Workspace_FOUND)
-     add_subdirectory(kwin-decoration)
-  endif()
 
 else()
 
@@ -96,7 +85,7 @@
   add_subdirectory(sounds)
   add_subdirectory(kdecoration)
 
-  install(DIRECTORY lookandfeel/ DESTINATION ${CMAKE_INSTALL_PREFIX}/share/plasma/look-and-feel/org.kde.oxygen
+  install(DIRECTORY lookandfeel/ DESTINATION ${KDE_INSTALL_DATADIR}/plasma/look-and-feel/org.kde.oxygen
           PATTERN "Messages.sh" EXCLUDE PATTERN "CMakeLists.txt" EXCLUDE)
 
   # po/ dir added by packaging scripts

=== kstyle/CMakeLists.txt ===
################# includes #################
include_directories(
    animations
    debug
    transitions
)

include_directories(${CMAKE_SOURCE_DIR}/liboxygen)
include_directories(${CMAKE_BINARY_DIR}/liboxygen)

########### next target ###############
set(oxygen_PART_SRCS
    animations/oxygenanimations.cpp
    animations/oxygenanimationdata.cpp
    animations/oxygenbaseengine.cpp
    animations/oxygenbusyindicatordata.cpp
    animations/oxygenbusyindicatorengine.cpp
    animations/oxygendockseparatordata.cpp
    animations/oxygendockseparatorengine.cpp
    animations/oxygenenabledata.cpp
    animations/oxygengenericdata.cpp
    animations/oxygenheaderviewdata.cpp
    animations/oxygenheaderviewengine.cpp
    animations/oxygenmdiwindowdata.cpp
    animations/oxygenmdiwindowengine.cpp
    animations/oxygenmenubardata.cpp
    animations/oxygenmenubarengine.cpp
    animations/oxygenmenudata.cpp
    animations/oxygenmenuengine.cpp
    animations/oxygenprogressbardata.cpp
    animations/oxygenprogressbarengine.cpp
    animations/oxygenscrollbardata.cpp
    animations/oxygenscrollbarengine.cpp
    animations/oxygenspinboxdata.cpp
    animations/oxygenspinboxengine.cpp
    animations/oxygensplitterengine.cpp
    animations/oxygentabbardata.cpp
    animations/oxygentabbarengine.cpp
    animations/oxygentoolbardata.cpp
    animations/oxygentoolbarengine.cpp
    animations/oxygentoolboxengine.cpp
    animations/oxygenwidgetstatedata.cpp
    animations/oxygenwidgetstateengine.cpp
    debug/oxygenwidgetexplorer.cpp
    transitions/oxygencomboboxdata.cpp
    transitions/oxygencomboboxengine.cpp
    transitions/oxygenlabeldata.cpp
    transitions/oxygenlabelengine.cpp
    transitions/oxygenlineeditdata.cpp
    transitions/oxygenlineeditengine.cpp
    transitions/oxygenstackedwidgetdata.cpp
    transitions/oxygenstackedwidgetengine.cpp
    transitions/oxygentransitiondata.cpp
    transitions/oxygentransitions.cpp
    transitions/oxygentransitionwidget.cpp
    oxygenblurhelper.cpp
    oxygenframeshadow.cpp
    oxygenmdiwindowshadow.cpp
    oxygenmnemonics.cpp
    oxygenpropertynames.cpp
    oxygenshadowhelper.cpp
    oxygensplitterproxy.cpp
    oxygenstyle.cpp
    oxygenstylehelper.cpp
    oxygenstyleplugin.cpp
    oxygenwindowmanager.cpp
)

if(OXYGEN_USE_KDE4)

  kde4_add_kcfg_files(oxygen_PART_SRCS oxygenstyleconfigdata.kcfgc)
  kde4_add_plugin(oxygen ${oxygen_PART_SRCS} kstylekde4compat.cpp)
  target_link_libraries(oxygen ${KDE4_KDEUI_LIBS})
  target_link_libraries(oxygen oxygenstyle)

  if(OXYGEN_HAVE_X11)
    target_link_libraries(oxygen ${X11_XCB_LIBRARIES})
    target_link_libraries(oxygen ${XCB_LIBRARIES})
  endif()

  install(TARGETS oxygen DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/styles/)

else()

  kconfig_add_kcfg_files(oxygen_PART_SRCS oxygenstyleconfigdata.kcfgc)
  add_library(oxygen MODULE ${oxygen_PART_SRCS})

  target_link_libraries(oxygen Qt5::Core Qt5::Gui Qt5::Widgets Qt5::DBus)
  target_link_libraries(oxygen KF5::GuiAddons KF5::Style KF5::WindowSystem)
  target_link_libraries(oxygen oxygenstyle5)

  if(OXYGEN_HAVE_X11)
    target_link_libraries(oxygen XCB::XCB)
    target_link_libraries(oxygen Qt5::X11Extras)
  endif()

  install(TARGETS oxygen DESTINATION ${QT_PLUGIN_INSTALL_DIR}/styles/)

endif()

if(WIN32)
  # As stated in http://msdn.microsoft.com/en-us/library/4hwaceh6.aspx M_PI only gets defined
  # when using MSVC if _USE_MATH_DEFINES is defined (this is needed for angle.cpp)
  target_compile_definitions(oxygen PRIVATE _USE_MATH_DEFINES _GNU_SOURCE)
endif()

########### install files ###############
install(FILES oxygen.themerc  DESTINATION  ${DATA_INSTALL_DIR}/kstyle/themes)

########### subdirectories ###############
add_subdirectory(config)
add_subdirectory(demo)

=== debian/changelog ===
oxygen (4:5.5.5-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 14 Apr 2016 13:52:16 -0700

oxygen (4:5.5.4-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial
  * Remove missing file from install. 

  [ Clive Johnston ]
  * new upstream release
  * New upstream release

  [ Scarlett Clark ]
  * Debian merge, No remaining changes. 

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Mon, 07 Mar 2016 21:26:49 +0100

oxygen (4:5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:46:04 +0100

oxygen (4:5.4.3-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport
  * New upstream bugfix release

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1518598)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Nov 2015 16:39:08 +0100

oxygen (4:5.4.2-1) unstable; urgency=medium

  * New upstream release (5.4.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:52:21 +0200

oxygen (4:5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 18:45:38 +0200

oxygen (4:5.4.0-1) unstable; urgency=medium

  * New upstream release (5.4.0).
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 04 Sep 2015 10:23:39 +0200

oxygen (4:5.3.2-4) unstable; urgency=medium

  * Team upload.
  * Add a transitional package for kde-style-oxygen.
  * Add a symlink for kde-style-oxygen-qt4 in the qt4 plugins dirs.
    (Closes: #794754)

 -- Felix Geyer <fgeyer@debian.org>  Tue, 01 Sep 2015 22:44:08 +0200

oxygen (4:5.3.2-3) unstable; urgency=medium

  * Add the missing Breaks/Replaces.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 03 Jul 2015 14:07:49 +0200

oxygen (4:5.3.2-2) unstable; urgency=medium

  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 02 Jul 2015 12:09:54 +0200

oxygen (4:5.3.2-1) unstable; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).
  * New upstream release (5.3.2).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 01 Jul 2015 14:22:45 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,10 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 1.3.0~),
                kdelibs5-dev (>= 4.9.80),
-               kwin-dev (>= 4:5.4.2~),
-               libkdecorations2-dev,
+               kwin-dev (>= 4:5.5.5~),
+               libkdecorations2-dev (>= 4:5.5.5~),
+               libkf5auth-dev (>= 5.2.0),
+               libkf5codecs-dev (>= 5.2.0),
                libkf5completion-dev (>= 5.2.0),
                libkf5config-dev (>= 5.2.0),
                libkf5configwidgets-dev,
@@ -24,7 +26,7 @@
                libx11-dev,
                libxcb1-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.15.15ubuntu1~),
+               pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/oxygen
@@ -79,8 +81,8 @@
 Package: kde-style-oxygen-qt4
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: kde-style-oxygen
-Replaces: kde-style-oxygen
+Breaks: kde-style-oxygen (<< 4:5)
+Replaces: kde-style-oxygen (<< 4:5)
 Description: Qt 4 decoration for the Oxygen desktop theme
  The Oxygen desktop theme is used by Plasma and other KDE Software.
  .
@@ -99,8 +101,8 @@
 Package: liboxygenstyleconfig5-5
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: kde-style-oxygen-qt5 (<< 4:5.3.2~)
-Replaces: kde-style-oxygen-qt5 (<< 4:5.3.2~)
+Breaks: kde-style-oxygen-qt5 (<< 4:5.3.2-2~), ${kde-l10n:all}
+Replaces: kde-style-oxygen-qt5 (<< 4:5.3.2-2~), ${kde-l10n:all}
 Description: style library configuration for the Oxygen desktop theme
  The Oxygen desktop theme is used by Plasma and other KDE Software.
  .
@@ -118,3 +120,11 @@
  The Oxygen desktop theme is used by Plasma and other KDE Software.
  .
  This package contains the debugging symbols.
+
+Package: kde-style-oxygen
+Section: oldlibs
+Priority: extra
+Architecture: all
+Depends: kde-style-oxygen-qt4, ${misc:Depends}
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,12 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+l10npkgs_firstversion_ok := 4:4.14.0-2
+
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_auto_clean:
 	$(overridden_command) --builddirectory=build-qt4
@@ -18,6 +23,8 @@
 override_dh_auto_install:
 	$(overridden_command) --builddirectory=build-qt4
 	$(overridden_command)
+	mkdir -p debian/kde-style-oxygen-qt4/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/plugins/styles/
+	ln -s /usr/lib/kde4/plugins/styles/oxygen.so debian/kde-style-oxygen-qt4/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/plugins/styles/
 
 override_dh_strip:
 	$(overridden_command) --dbg-package=oxygen-dbg

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d.]+)/oxygen-([\d.]+)\.tar\.xz
http://download.kde.org/stable/plasma/([\d.]+)/oxygen-([\d.]+)\.tar\.xz

## oxygen 5.7.5

=== debian/changelog ===
oxygen (4:5.7.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:28:36 -0500

oxygen (4:5.7.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.1)
  * Add kwayland-dev as build dep
  * New upstream release (5.7.2)

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:07:14 +0000

oxygen (4:5.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 10 Jul 2016 08:20:34 +0200

oxygen (4:5.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jun 2016 10:51:36 +0200

oxygen (4:5.6.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.6.5)

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 20:49:06 +0100

oxygen (4:5.6.4-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * uscan no longer supports this kind of watch files.
  * New upstream release (5.5.5).
  * Automatic update with ddeb_migration3.py
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 May 2016 11:34:00 +0200

oxygen (4:5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:23:01 -0700

oxygen (4:5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:49:13 +0100

=== debian/control ===
--- 
+++ 
@@ -5,33 +5,34 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
+               extra-cmake-modules (>= 5.24.0~),
                kdelibs5-dev (>= 4.9.80),
-               kwin-dev (>= 4:5.5.5~),
-               libkdecorations2-dev (>= 4:5.5.5~),
-               libkf5auth-dev (>= 5.2.0),
-               libkf5codecs-dev (>= 5.2.0),
-               libkf5completion-dev (>= 5.2.0),
-               libkf5config-dev (>= 5.2.0),
-               libkf5configwidgets-dev,
-               libkf5coreaddons-dev,
-               libkf5guiaddons-dev (>= 5.2.0),
-               libkf5i18n-dev (>= 5.2.0),
-               libkf5kcmutils-dev,
-               libkf5service-dev (>= 5.2.0),
-               libkf5style-dev (>= 5.2.0),
-               libkf5widgetsaddons-dev (>= 5.2.0),
-               libkf5windowsystem-dev (>= 5.2.0),
-               libqt5x11extras5-dev (>= 5.4),
+               kwayland-dev (>= 4:5.24.0~),
+               kwin-dev (>= 4:5.7.5~),
+               libkdecorations2-dev (>= 4:5.7.5~),
+               libkf5auth-dev (>= 5.24.0~),
+               libkf5codecs-dev (>= 5.24.0~),
+               libkf5completion-dev (>= 5.24.0~),
+               libkf5config-dev (>= 5.24.0~),
+               libkf5configwidgets-dev (>= 5.24.0~),
+               libkf5coreaddons-dev (>= 5.24.0~),
+               libkf5guiaddons-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5kcmutils-dev (>= 5.24.0~),
+               libkf5service-dev (>= 5.24.0~),
+               libkf5style-dev (>= 5.24.0~),
+               libkf5widgetsaddons-dev (>= 5.24.0~),
+               libkf5windowsystem-dev (>= 5.24.0~),
+               libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libxcb1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.4)
-Standards-Version: 3.9.6
+               qtbase5-dev (>= 5.6.1~)
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/oxygen
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/oxygen.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/oxygen.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
 
 Package: plasma-theme-oxygen
 Architecture: any
@@ -109,18 +110,6 @@
  This package contains the private library used to configure the widget theme
  and KWin style.
 
-Package: oxygen-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: liboxygenstyleconfig5-5 (= ${binary:Version}) | liboxygenstyle5-5 (= ${binary:Version}) | kde-style-oxygen-qt5 (= ${binary:Version}) | kwin-decoration-oxygen (= ${binary:Version}),
-         ${misc:Depends}
-Recommends: qtbase5-dbg
-Description: debugging symbols for the Oxygen desktop theme
- The Oxygen desktop theme is used by Plasma and other KDE Software.
- .
- This package contains the debugging symbols.
-
 Package: kde-style-oxygen
 Section: oldlibs
 Priority: extra

## oxygen 5.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(oxygen)
-set(PROJECT_VERSION "5.5.5")
+set(PROJECT_VERSION "5.8.2")
 set(PROJECT_VERSION_MAJOR 5)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 
@@ -36,6 +36,7 @@
   add_feature_info("x11-xcb" XCB_FOUND "Required to pass style properties to native Windows on X11 Platform")
   set_feature_info("x11-xcb" "Required to pass style properties to native Windows on X11 Platform" "http://xcb.freedesktop.org")
   set(OXYGEN_HAVE_X11 ${XCB_FOUND})
+  set(OXYGEN_HAVE_KWAYLAND FALSE)
 
   add_subdirectory(liboxygen)
   add_subdirectory(kstyle)
@@ -64,6 +65,9 @@
       PURPOSE "Required to pass style properties to native Windows on X11 Platform"
   )
 
+  find_package(KF5Wayland CONFIG)
+  set(OXYGEN_HAVE_KWAYLAND ${KF5Wayland_FOUND})
+
   if(NOT APPLE)
 
     set(OXYGEN_HAVE_X11 ${XCB_XCB_FOUND})
@@ -76,7 +80,7 @@
   include(ECMInstallIcons)
   include(KDEInstallDirs)
   include(KDECMakeSettings)
-  include(KDECompilerSettings)
+  include(KDECompilerSettings NO_POLICY_SCOPE)
 
   add_subdirectory(liboxygen)
   add_subdirectory(kstyle)

=== debian/changelog ===
oxygen (4:5.8.2-1) unstable; urgency=medium

  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:27:13 +0200

oxygen (4:5.8.1-1) unstable; urgency=medium

  * New upstream release (5.8.1)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 23:01:11 +0200

oxygen (4:5.8.0-1) unstable; urgency=medium

  * New upstream release (5.8.0)
  * Bump group breaks (5.8)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:09:25 +0200

oxygen (4:5.7.4-1) unstable; urgency=medium

  * New upstream release (5.7.4)
  * Bump group breaks (5.7)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 27 Aug 2016 17:26:56 +0200

## oxygen 5.8.4

=== cursors/src/CMakeLists.txt ===
include(cursors.cmake)
include(config.cmake)
include(setup.cmake)

set(COLORS
    black
    blue
    bluecurve
    brown
    cherry
    chrome
    desert
    emerald
    green
    grey
    honeycomb
    hot_orange
    lilac
    midnight_meadow
    navy
    norway
    obsidian
    obsidian-hc
    olympus
    olympus-inv
    orchid
    oxygen
    peach
    purple
    red
    red-argentina
    sea_blue
    steel
    terra
    terra_green
    violet
    viorange
    white
    whitewater
    wonton
    yellow
    zion
   )

foreach(color ${COLORS})
    add_subdirectory(theme-${color})
    list(APPEND PACKAGES package-${color})
    message(STATUS "Added themes for ${color}")
endforeach(color)

=== debian/changelog ===
oxygen (4:5.8.4-1) unstable; urgency=medium

  * New upstream release (5.8.4)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:37:40 +0100

=== debian/control ===
--- 
+++ 
@@ -5,34 +5,33 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
+               extra-cmake-modules (>= 1.3.0~),
                kdelibs5-dev (>= 4.9.80),
-               kwayland-dev (>= 4:5.24.0~),
-               kwin-dev (>= 4:5.7.5~),
-               libkdecorations2-dev (>= 4:5.7.5~),
-               libkf5auth-dev (>= 5.24.0~),
-               libkf5codecs-dev (>= 5.24.0~),
-               libkf5completion-dev (>= 5.24.0~),
-               libkf5config-dev (>= 5.24.0~),
-               libkf5configwidgets-dev (>= 5.24.0~),
-               libkf5coreaddons-dev (>= 5.24.0~),
-               libkf5guiaddons-dev (>= 5.24.0~),
-               libkf5i18n-dev (>= 5.24.0~),
-               libkf5kcmutils-dev (>= 5.24.0~),
-               libkf5service-dev (>= 5.24.0~),
-               libkf5style-dev (>= 5.24.0~),
-               libkf5widgetsaddons-dev (>= 5.24.0~),
-               libkf5windowsystem-dev (>= 5.24.0~),
-               libqt5x11extras5-dev (>= 5.6.1~),
+               kwin-dev (>= 4:5.3.2),
+               libkdecorations2-dev (>= 4:5.2.0),
+               libkf5auth-dev (>= 5.2.0),
+               libkf5codecs-dev (>= 5.2.0),
+               libkf5completion-dev (>= 5.2.0),
+               libkf5config-dev (>= 5.2.0),
+               libkf5configwidgets-dev,
+               libkf5coreaddons-dev,
+               libkf5guiaddons-dev (>= 5.2.0),
+               libkf5i18n-dev (>= 5.2.0),
+               libkf5kcmutils-dev,
+               libkf5service-dev (>= 5.2.0),
+               libkf5style-dev (>= 5.2.0),
+               libkf5widgetsaddons-dev (>= 5.2.0),
+               libkf5windowsystem-dev (>= 5.2.0),
+               libqt5x11extras5-dev (>= 5.4),
                libx11-dev,
                libxcb1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/oxygen
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/oxygen.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/oxygen.git
 
 Package: plasma-theme-oxygen
 Architecture: any
@@ -56,6 +55,7 @@
  The Oxygen desktop theme is used by Plasma and other KDE Software.
  .
  This package contains the sounds.
+Breaks: plasma-desktop (<< 4:5.8)
 
 Package: kwin-decoration-oxygen
 Architecture: any
@@ -71,9 +71,9 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: kwin-decoration-oxygen (<< 4:5.2.2+git20150326),
-        plasma-theme-oxygen (<< 4:5.3.2+git20150326)
+        plasma-theme-oxygen (<< 4:5.2.2+git20150326)
 Replaces: kwin-decoration-oxygen (<< 4:5.2.2+git20150326),
-          plasma-theme-oxygen (<< 4:5.3.2+git20150326)
+          plasma-theme-oxygen (<< 4:5.2.2+git20150326)
 Description: Qt decoration for the Oxygen desktop theme
  The Oxygen desktop theme is used by Plasma and other KDE Software.
  .
@@ -117,3 +117,4 @@
 Depends: kde-style-oxygen-qt4, ${misc:Depends}
 Description: transitional dummy package
  This is a transitional dummy package. It can safely be removed.
+Breaks: kde-window-manager (<< 4:5.8)

## oxygen 5.9.4

=== debian/changelog ===
oxygen (4:5.9.4-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 19:59:53 +0000

oxygen (4:5.9.3-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:53:47 +0000

oxygen (4:5.9.2-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.2)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:06:54 +0000

oxygen (4:5.9.1-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:21:50 +0000

oxygen (4:5.9.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 00:56:13 +0000

oxygen (4:5.8.5-0ubuntu1) zesty; urgency=low

  * New upstream release (5.8.5)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:46:31 +0000

oxygen (4:5.8.4-0ubuntu2) UNRELEASED; urgency=medium

  * New build dep on qtdeclarative5-dev for Qt5QuickConfig.cmake

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Dec 2016 08:45:22 +0000

oxygen (4:5.8.4-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Merge with debian

  [ Simon Quigley ]
  * New upstream release (5.8.3)

  [ Rik Mills ]
  * New upstream release (5.8.4)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:55:38 +0000

=== debian/control ===
--- 
+++ 
@@ -5,33 +5,35 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
+               extra-cmake-modules (>= 5.31.0~),
                kdelibs5-dev (>= 4.9.80),
-               kwin-dev (>= 4:5.3.2),
-               libkdecorations2-dev (>= 4:5.2.0),
-               libkf5auth-dev (>= 5.2.0),
-               libkf5codecs-dev (>= 5.2.0),
-               libkf5completion-dev (>= 5.2.0),
-               libkf5config-dev (>= 5.2.0),
-               libkf5configwidgets-dev,
-               libkf5coreaddons-dev,
-               libkf5guiaddons-dev (>= 5.2.0),
-               libkf5i18n-dev (>= 5.2.0),
-               libkf5kcmutils-dev,
-               libkf5service-dev (>= 5.2.0),
-               libkf5style-dev (>= 5.2.0),
-               libkf5widgetsaddons-dev (>= 5.2.0),
-               libkf5windowsystem-dev (>= 5.2.0),
-               libqt5x11extras5-dev (>= 5.4),
+               kwin-dev (>= 4:5.9.4~),
+               libkdecorations2-dev (>= 4:5.9.4~),
+               libkf5auth-dev (>= 5.31.0~),
+               libkf5codecs-dev (>= 5.31.0~),
+               libkf5completion-dev (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5configwidgets-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5guiaddons-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5kcmutils-dev (>= 5.31.0~),
+               libkf5service-dev (>= 5.31.0~),
+               libkf5style-dev (>= 5.31.0~),
+               libkf5wayland-dev (>= 4:5.31.0~),
+               libkf5widgetsaddons-dev (>= 5.31.0~),
+               libkf5windowsystem-dev (>= 5.31.0~),
+               libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libxcb1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.4)
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/oxygen
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/oxygen.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/oxygen.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
 
 Package: plasma-theme-oxygen
 Architecture: any
@@ -51,11 +53,11 @@
 Package: oxygen-sounds
 Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: plasma-desktop (<< 4:5.8)
 Description: Sounds for the Oxygen desktop theme
  The Oxygen desktop theme is used by Plasma and other KDE Software.
  .
  This package contains the sounds.
-Breaks: plasma-desktop (<< 4:5.8)
 
 Package: kwin-decoration-oxygen
 Architecture: any
@@ -71,9 +73,9 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: kwin-decoration-oxygen (<< 4:5.2.2+git20150326),
-        plasma-theme-oxygen (<< 4:5.2.2+git20150326)
+        plasma-theme-oxygen (<< 4:5.3.2+git20150326)
 Replaces: kwin-decoration-oxygen (<< 4:5.2.2+git20150326),
-          plasma-theme-oxygen (<< 4:5.2.2+git20150326)
+          plasma-theme-oxygen (<< 4:5.3.2+git20150326)
 Description: Qt decoration for the Oxygen desktop theme
  The Oxygen desktop theme is used by Plasma and other KDE Software.
  .
@@ -111,10 +113,10 @@
  and KWin style.
 
 Package: kde-style-oxygen
+Architecture: all
 Section: oldlibs
 Priority: extra
-Architecture: all
 Depends: kde-style-oxygen-qt4, ${misc:Depends}
+Breaks: kde-window-manager (<< 4:5.8)
 Description: transitional dummy package
  This is a transitional dummy package. It can safely be removed.
-Breaks: kde-window-manager (<< 4:5.8)

## oxygen 5.9.5

=== debian/changelog ===
oxygen (4:5.9.5-0ubuntu0.1) zesty; urgency=low

  * New upstream release (5.9.5) (LP: #1687444)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 09 May 2017 19:17:17 +0100
